Best way to upgrade PHP5 to the last stable version

Discussion in 'ISPConfig 3 Priority Support' started by Galopete, Nov 17, 2013.

  1. Galopete

    Galopete New Member

    Hello,

    I have a server running Ubuntu 12.04 with the perfect server tutorial (apache2, php5). Now my php5 ver is 5.3.10, the question is wich is the better way to upgrade my php5 ver. for this server?

    Yesterday i tried to upgrade using apt-get & ppa repo, but i made a disaster in my server, then i had to spent 3 hours reverting the server to its original state... :eek:

    Many Thanks.
    Abraham
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    The best way is to not upgrade the php5 of the system at all. Just install the normal php updates from ubuntu regularily.

    If you need a newer php version for your websites, then install a additional php version as described here:

    http://www.howtoforge.com/how-to-us...fpm-and-fastcgi-with-ispconfig-3-ubuntu-12.10

    The guide is for Ubuntu 12.10, but it should work for 12.04 as well.


    ISPConfig supports multiple php versions, so there is no problem to run some or all sites with a newer php version.
     
  3. Galopete

    Galopete New Member

    Many thanks Till,

    I will try as you tell me.

    Regards,
    Abraham
     

Share This Page